
function buscar_maes(event)
{
//      if(event.type=='click' || event.keyCode==13)
     {
//           get_para();
          var xhref='',dataget;
          xhref=xhref+'?scri=info_maes3';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          dataget=new_FormData('cliedatos','get');
          xhref=xhref+dataget;
          
          if(document.getElementById("main2"))
          {document.getElementById("main2").innerHTML='Espere...';}
          location.href=xhref;          
     }
}



function proc_carr(event)
{
//      var msgswal='';
//      msgswal=msgswal;

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
//        text: "Esta operación NO es reversible",
     Swal.fire({
       title: 'Procesar Carrito ?',
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Procesar'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='Espere...';
               
          var xhref='',dataget;
          xhref=xhref+'?scri=proc_carr1';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          dataget=new_FormData('cliedatos','get');
          xhref=xhref+dataget;
          
          document.getElementById("main2").innerHTML='Espere...';
          document.getElementById("main1").innerHTML='Espere...';
          location.href=xhref;          
               
//           var data=new FormData();
//           data.append('script','dele_carr');
//           exe_ajax(data);
// //           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
//           location.reload();              
          }
     })
     
     
     
     {
     }
}




function dele_carr()
{
     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
     Swal.fire({
       title: 'Vaciar el Carrito ?',
       text: "Esta operación NO es reversible",
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Vacíalo!'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='';               
          var data=new FormData();
          data.append('script','dele_carr');
          exe_ajax(data);
//           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
          location.reload();              
          }
     })
}




function save_carr(item,cant)
{
     var data=new FormData();
     data.append('script','save_carr');
     data.append('item',item);
     data.append('cant',cant);
     data.append('lpre',document.getElementById("lpre").value);
     exe_ajax(data);
}



function defa_image(tabla,codigo)
{
     var data=new FormData();
     data.append('script','defa_image');
     data.append('tabla',tabla);
     data.append('codigo',codigo);
     exe_ajax(data);
}
     




function dele_image(tabla,codigo)
{
     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
     Swal.fire({
       imageUrl: document.getElementById('img_'+codigo).src,
       imageHeight: Math.floor(screen.height/3.5),
       title: 'Eliminar Foto ?',
       text: "Esta operación NO es reversible",
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Eliminar!'
     }).then((result) =>
     {
          if (result.isConfirmed){
          var data=new FormData();
          data.append('script','dele_image');
          data.append('tabla',tabla);
          data.append('codigo',codigo);
          exe_ajax(data);
          document.getElementById('td'+codigo).style.display='none';
          }
     })
     
}
     




function XXupld_image(tabla,codigo,idfile)
{
// if (window.File && window.FileReader && window.FileList && window.Blob) {
//  alert('Success');
// } else {
//   alert('The File APIs are not fully supported in this browser.');
// }     

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
     
     var xfile=document.getElementById(idfile)
     if(xfile.files.length==0)
     {
          document.getElementById(idfile).click();
          return;
     }
          
     Swal.fire({
       title: 'Subir Archivos ?',
       text: document.getElementById(idfile).files.length+' Fotos',
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Subir!'
     }).then((result) =>
     {
          if (result.isConfirmed){
               var data;
               for(var idx=0; idx<xfile.files.length; idx++)
               {
                    data=new FormData();
                    data.append('script','upld_image');
                    data.append('tabla',tabla);
                    data.append('codigo',codigo);
                    data.append('xfile',xfile.files[idx]);
                    exe_ajax(data,'','',false);
               }
               location.reload();
          }
     })
     
}
     



